min-max.hpp File Reference
`#include <cmath>`

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Float
| Floating point numbers.
namespace | Gecode::Float::Arithmetic
| Arithmetic propagators

## Enumerations

enum | Gecode::Float::Arithmetic::MaxPropStatus { Gecode::Float::Arithmetic::MPS_ASSIGNED = 1<<0 , Gecode::Float::Arithmetic::MPS_REMOVED = 1<<1 , Gecode::Float::Arithmetic::MPS_NEW_BOUND = 1<<2 }
| Status of propagation for nary max. More...

## Functions

template<class View>
ExecStatus | Gecode::Float::Arithmetic::prop_nary_max (Space &home, Propagator &p, ViewArray< View > &x, View y, PropCond pc)